WESNOTH(6)

NOME
wesnoth - Battle for Wesnoth, un gioco strategico a turni con ambientazione fantasy

SYNOPSIS
wesnoth [OPTIONS] [PATH_TO_DATA]

DESCRIZIONE
Battle for Wesnoth è un gioco strategico a turni con ambientazione fantasy. Defeat all enemy leaders using a well-chosen cadre of troops, taking care to manage your resources of gold and villages. All units have their own strengths and weaknesses; to win, deploy your forces to their best advantage while denying your foes the chance to do the same. As units gain experience, they acquire new abilities and become more powerful. Play in your own language and test your skill against a smart computer opponent, or join Wesnoth's large community of on-line players. Create your own custom units, scenarios or campaigns, and share them with others.

OPZIONI

--bpp number
    imposta il numero di bit per pixel. Esempio: --bpp 32

--compress <infile> <outfile>
    comprime un file di salvataggio (infile) in formato WML testuale in formato WML binario (outfile).

-d, --debug
    mostra delle informazioni aggiuntive per il debug ed abilita delle opzioni aggiuntive shell di comando interna al gioco (Controlla la sezione wiki sul sito http://www.wesnoth.org/ per avere maggiori informazioni sulla shell di comando).

--decompress <infile> <outfile>
    decomprime un file di salvataggio (infile) in formato WML binario in formato WML testuale (outfile).

-f, --fullscreen
    esegue il gioco a tutto schermo.

--fps
    mostra, in un angolo dello schermo, il numero di schermate per secondo che il gioco sta generando attualmente.

-h, --help
    mostra un riepilogo delle opzioni tramite riga di comando verso un output standard ed esce.

--load savegame
    carica il file savegame dalla cartella standard di salvataggio.

--log-error="domain1,domain2,...", --log-warning="...", --log-info="..."
    sets the severity level of the debug domains. "all" can be used to match any debug domain. --log-info shows all messages, --log-warning only warnings and errors, and --log-error just errors.

--multiplayer
    esegue una partita multigiocatore. Ci sono opzioni aggiuntive che possono essere usate con --mutiplayer, come spiegato di seguito.

--nocache
    disabilita la cache dei dati di gioco.

--nosound
    esegue il gioco senza suono e musica.

--path
    stampa il nome della cartella contenente i dati del gioco ed esce.

-r, --resolution XxY
    imposta la risoluzione dello schermo. Esempio: -r 800x600

-t, --test
    esegue il gioco con un piccolo scenario di test.

-v, --version
    visualizza il numero di versione ed esci

-w, --windowed
    Carica il gioco in una finestra.

--no-delay
    esegue il gioco senza ritardi per stabilire le prestazioni del sistema. Questa opzione è abilitata automaticamente da --nogui.

--exit-at-end
    exits once the scenario is over, without displaying victory/defeat dialog which requires the user to click OK. This is also used for scriptable benchmarking.

opzioni per --multiplayer
The side-specific multiplayer options are marked with <number>. <number> has to be replaced by a side number. It usually is 1 or 2 but depends on the number of players possible in the chosen scenario.

--algorithm<number>=value
    selects a non-standard algorithm to be used by the AI controller for this side. Available values: "idle_ai" and "sample_ai".

--controller<number>=value
    selects the controller for this side. Available values: "human" and "ai".

--era=value
    use this option to play in the selected era instead of the "Default" era. The era is chosen by an id. Eras are described in the data/multiplayer.cfg file.

--nogui
    esegue il gioco senza GUI. Deve apparire prima di --multiplayer per avere l'effetto desiderato.

--parm<number>=name:value
    sets additional parameters for this side. This parameter depends on the options used with --controller and --algorithm. It should only be useful for people designing their own AI. (not yet documented completely)

--scenario=value
    seleziona uno scenario multigiocatore. lo scenario predefinito è "multiplayer_Charge".

--side<number>=value
    selects a faction of the current era for this side. The faction is chosen by an id. Factions are described in the data/multiplayer.cfg file.

--turns=value
    imposta il numero di turni per lo scenario scelto. L'impostazione standard è "50"

Example to test your own AI:
    wesnoth --multiplayer --controller2=python_ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.py --side2=Rebels

AUTORE
Scritto da David White <davidnwhite@verizon.net>.
Edito da Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton@sonnenkinder.org>.
Questa pagina di manuale è stata scritta in origine da Cyril Bouthors <cyril@bouthors.org>.
Visita la pagina home ufficiale: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2006 David White <davidnwhite@verizon.net>
Questo gioco è rilasciato come Software Libero; viene rilasciato secondo i termini della licenza GPL versione 2 come pubblicata dalla Free Software Foundation. Non è fornita nessuna garanzia, né per la COMMERCIALIZZAZIONE né per l'ADEGUATEZZA AD UNO SCOPO PARTICOLARE.

SEE ALSO
wesnoth_editor(6), wesnothd(6)